#include <iostream>
using namespace std;

int main()
{
    int suma=0;
    unsigned long long x;
    cin>>x;
    for(unsigned long long i = x; i>0; i=i/10){
        unsigned long long z=i%10;
        if(z!=0)
            {
            if(z>=5)
            {
                z-=5;
                suma++;
            }
            while(z>=2){
                z-=2;
                suma++;
            }
            if(z>=1){
                z--;
                suma++;
            }
            }
        }
        cout<<suma;

    return 0;
}